export interface AbuseCaseProps {
    readonly name: string;
    readonly description: string;
}
export declare class AbuseCase {
    static readonly DENIAL_OF_SERVICE: AbuseCase;
    static readonly RANSOMWARE: AbuseCase;
    readonly name: string;
    readonly description: string;
    constructor(props: AbuseCaseProps);
    /**
     * @internal
     */
    _toThreagile(): {
        [x: string]: string;
    };
}
